package oop.FileHandling.character;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class Printwriter {
	/*
	 * - schreibt alle Daten Typs auf dem File
	 * - flush() soll aufgerufen werden
	 */
	public static void main(String[] args) throws IOException {
		 // - flush() soll aufgerufen werden
		PrintWriter pr = new PrintWriter("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1");
//		pr.println(97);
//		pr.println("AAA");
//		pr.println('B');
//		pr.println(true);
//		pr.flush();
		
		// oder
		FileWriter fr = new FileWriter("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1");
		PrintWriter pr2 = new PrintWriter(fr, true); //true steht für flush() Aufruf
		pr2.write(97); // wenn wir write verwenden, sollen wir flush() aufrufen
		pr2.println("AAA");
		pr2.println('B');
		pr2.println(true);
		
		
		}

}
